Skip to main content
POST
/
lending-stocks
/
api
/
liquidations
/
{marketId}
/
bid-on-auction
curl -X POST "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/bid-on-auction" \
  -H "X-API-Key: trusset_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{"auctionId": 1, "collateralAmount": "25", "useRelayer": true}'
{
  "success": true,
  "data": {
    "txHash": "0xabc...def",
    "auctionId": 1,
    "collateralPurchased": "25",
    "usdcPaid": "4310.000000"
  }
}
Places a bid on a Dutch auction to purchase liquidated collateral at the current declining price. The bidder pays USDC and receives stock tokens. The auction price decreases linearly from startPrice to endPrice over the configured duration.

Path Parameters

marketId
string
required
Market ID.

Body Parameters

auctionId
integer
required
Auction ID.
collateralAmount
string
required
Amount of collateral to purchase (e.g. "25").
useRelayer
boolean
default:"false"
Execute via relayer or return calldata.
curl -X POST "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/bid-on-auction" \
  -H "X-API-Key: trusset_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{"auctionId": 1, "collateralAmount": "25", "useRelayer": true}'
{
  "success": true,
  "data": {
    "txHash": "0xabc...def",
    "auctionId": 1,
    "collateralPurchased": "25",
    "usdcPaid": "4310.000000"
  }
}